<?php

namespace Limb_Chatbot\Includes\Interfaces;

use Limb_Chatbot\Includes\Data_Objects\Dataset;

interface Knowledge_Generator_Interface {
	public function generate( Dataset $dataset ): Dataset;
}